import { MatIconRegistry } from "@angular/material/icon";
import { DomSanitizer } from "@angular/platform-browser";
export declare class IconLoaderService {
    private registry;
    private domSanitizer;
    constructor(registry: MatIconRegistry, domSanitizer: DomSanitizer);
    registerIcons(list: any): void;
}
